package com.mortals.xhx.module.app.model;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.app.model.vo.AppRecordVo;
import lombok.Data;
/**
* 应用访问记录实体对象
*
* @author zxfei
* @date 2025-04-03
*/
@Data
public class AppRecordEntity extends AppRecordVo {
    private static final long serialVersionUID = 1L;

    /**
    * 标题
    */
    private String appName;
    /**
    * 封面
    */
    private String appKey;
    /**
    * 询问内容
    */
    private String query;
    /**
    * 访问时间
    */
    private Date accessTime;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AppRecordEntity) {
            AppRecordEntity tmp = (AppRecordEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.appName = "";
            this.appKey = "";
            this.query = "";
            this.accessTime = null;
            this.remark = "";
    }
}