package com.mortals.xhx.module.app.service.impl;
import com.mortals.framework.model.PageInfo;
import org.springframework.beans.BeanUtils;
import java.util.function.Function;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.app.dao.AppRecordDao;
import com.mortals.xhx.module.app.model.AppRecordEntity;
import com.mortals.xhx.module.app.service.AppRecordService;
import lombok.extern.slf4j.Slf4j;
/**
* AppRecordService
* 应用访问记录 service实现
*
* @author zxfei
* @date 2025-04-03
*/
@Service("appRecordService")
@Slf4j
public class AppRecordServiceImpl extends AbstractCRUDServiceImpl<AppRecordDao, AppRecordEntity, Long> implements AppRecordService {
    
}