#!/bin/sh


# 时间变量
LOG_DATE='date "+%Y-%m-%d"'
LOG_TIME='date "+%H-%M-%S"'


#写日志
writelog() {
  LOGINFO=$1
  echo "${CDATE} ${CTIME}: ${SHELL_NAME} : ${LOGINFO}" >>${SHELL_LOG}
  echo ${LOGINFO}
}

#主函数
main() {
  writelog "安装政务服务排队叫号docker容器"
  docker stop nginx-php
  docker rm nginx-php
  docker run --name nginx-php -p 8090:80 -v /home/docker/nginx/vhost.conf:/opt/docker/etc/nginx/vhost.conf -v /home/docker/app:/app -v /home/docker/php/slow.log:/var/log/slow.log -v /home/docker/php/zwfwdocker.conf:/usr/local/etc/php-fpm.d/docker.conf -v /home/docker/php/10-general.conf:/opt/docker/etc/nginx/vhost.common.d/10-general.conf -v /home/docker/php/upload.ini:/usr/local/etc/php/conf.d/upload.ini --restart=always --cap-add=SYS_PTRACE --privileged=true -d webdevops/php-nginx:8.0
   writelog "安装政务服务排队叫号docker容器完成"
}

main $1



