-- ----------------------------
-- 应用访问记录
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_app_record`;
CREATE TABLE `mortals_xhx_app_record`
(
    `id`             bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
    `app_name`          varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '标题',
    `app_key`          varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '封面',
    `query`   varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '询问内容',
    `access_time`    datetime                                                      DEFAULT NULL COMMENT '访问时间',
    `remark`         varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '备注',
    `create_user_id` bigint(20)                                                    DEFAULT NULL COMMENT '创建用户',
    `create_time`    datetime                                                      DEFAULT NULL COMMENT '创建时间',
    `update_time`    datetime                                                      DEFAULT NULL COMMENT '更新时间',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_general_ci
  ROW_FORMAT = DYNAMIC COMMENT ='应用访问记录';

